<template>
    <q-card-section>
        
        <div class="text-body2 text-left text-weight-light q-pl-lg q-pr-lg q-pt-lg">
            This WebApp is based on a simple microservice architecture. It might be overkill to implement a system like this for such a simple WebApp, but i built it for demonstration purposes and as a personal project.
        </div>
        <div class="text-body2 text-left text-weight-light q-pl-lg q-pr-lg q-pt-lg">
            As entrypoint for the backend serves Traefik, which acts as reverse proxy and takes care for the Let’s Encrypt certificate. It routes the traffic to the Spring Cloud ApiGateway as well as to Keycloak, which takes care for the identification of the user through OpenId Connect.
        </div>
        <div class="text-body2 text-left text-weight-light q-pl-lg q-pr-lg q-pt-lg">        
            The ApiGateway serves the frontend, which was built with Vue.js and the Quasar Framework, and routes the incoming traffic to the appropriate microservices. Furthermore it implements SpringSecurity which redirects unauthenticated users to Keycloak when trying to access protected endpoints. Being an ApiGateway it also takes care for the resilience of the system, with circuit breakers, retries and rate-limiting.
        </div>
        <div class="text-body2 text-left text-weight-light q-pl-lg q-pr-lg q-pt-lg">        
            The two main microservices behind the ApiGateway are the ChatMicroservice as well as the ImageMicroservice, which are both resource servers with protected endpoints. 
        </div>
    </q-card-section>
</template>

<script>
export default {
  name: 'AppTextPartOne',
}
</script>